Subject: Ticket Assigned - lie of delivery company and delay of my order
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 10 Mar 2023 05:56:38 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  lie of delivery company and delay of my order Hi Good morning I am a regular customer and I have not been treated well these few times that I ordered My first order was dated Feb 28 with order number 6808408839 and expected date of delivery was 2nd March and everyday I receive an SMS to say that I was not found so my order will be delivered another time...that is not true...till now no one contacted me or called me or whatsapp me at all...how they claimed that I am not available or I did not replay and some of the attempts they wrote in the SMS rescheduled as per customer request also it is not true ...the same issue no one contacted me. I feel so bad cuz I needed my stuff long time ago and no one cares I have serious of calls to customer services for the whole week and I raised a complaint against the delivery company but also no response I am very mad actually about what hap
 pen and now also it happened again but this time the delivery guy called me on 8 March for order number....6810323804 then I waited for him till 11pm after that I got an SMS to say I was not foud what a lie...I was waiting for him to come ...ohhh my GOD.then on 9 March at 11:51 I receive a text again that I was not found...come on...allthe SMSs I got are after 11 pm to 1 am and I am at home and no one called me...pls understand that no one called me. And 2 weeks ago I face a rude driver who treated me badly over the phone but I did not report it cuz It was first time to happen so I just ignored it. But I wish if I report it now. Your customer services has no access to the delivery company at all...they do not know who is the driver assigned and even if I got an SMS to track my order there is no benefits cuz no driver info at least to help me to call them if no one called me. Pls try to modify or request from the delivery company to modify their system for customer satisfaction. Thes
 e incidents discouraged me to reorder from your store again Either splash Centerpoint or max...although I am a good customer. Thank u Very unsatisfied customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5821496